FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000615FL52.2 Subprogram FLUC (CONV)public2014-12-04 11:382015-04-15 15:30
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PriorityhighSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1 
Target Version5.2Fixed in Version5.1.03 
Summary0000615: Add checksum generation and verification cabebilities for original files
DescriptionThere is no possibility on z/OS to generate and verify checksums (MD5/SHA1/256/512/...) over files like md5sum or sha1sum on linux systems. It would be useful to have such a solution with FLAM.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000617resolvedMykhailo Moldavskyy CPACF support for the new CNV.HSH component of FLUC 

-  Notes
(0000711)
Falk Reichbott (administrator)
2014-12-11 08:20

A new component (cnv.hsh()) was add. With this component you can currently generate and verify MD5, SHA1 and SHA256 checksums in GNU and BSD style format. With the XCNV (input() output()) command these component can be used after read IO, after each kind of conversion and before write IO. Means for example you can verify a SHA1 checksum after decompression (GZIP/BZIP2/XZ) and before character (UNICODE->EBCDIC) converison. With the CONV command, if the hash component activated at read, the hash is calculated over the data which comes from the IO device and at write over the data which will be written to a device. Means this checksums can be generated or verified also with standard tools like "md5sum" or "sha1sum" which are available of a lot of mainly UNIX like operation systems.

In future more hash algorithms like SHA384, SHA512 and SHA3 and also simple checksums like CRC and FNV will be supported. Additionally we can support more output formats if required. The next step is the CPACF support of the hash algorithms on SystemZ (own issue). SHA1 was chosen a default algorithm because this procedure is supported by the most hardware crypto accelerators (like CPACF).

The new feature is available with FLAMv5.1.3.

- Issue History
Date Modified Username Field Change
2014-12-04 11:38 Falk Reichbott New Issue
2014-12-04 11:38 Falk Reichbott Status new => assigned
2014-12-04 11:38 Falk Reichbott Assigned To => Mykhailo Moldavskyy
2014-12-11 08:20 Falk Reichbott Note Added: 0000711
2014-12-11 08:20 Falk Reichbott Status assigned => resolved
2014-12-11 08:20 Falk Reichbott Fixed in Version => 5.1
2014-12-11 08:20 Falk Reichbott Resolution open => fixed
2014-12-11 08:38 Falk Reichbott Relationship added related to 0000617
2015-04-15 15:30 Falk Reichbott Fixed in Version 5.1 => 5.1.03


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker